Bug 138948 - [twa] [regression] da0: <AMCC 9550SX-4LP DISK 3.04> Fixed Direct Access SCSI-3 device missing in i386 8.0-BETA4
Summary: [twa] [regression] da0: <AMCC 9550SX-4LP DISK 3.04> Fixed Direct Access SCSI-...
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: i386 (show other bugs)
Version: 8.0-BETA4
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-i386 mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-18 21:50 UTC by Richard Bejtlich
Modified: 2017-12-31 22:34 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Bejtlich 2009-09-18 21:50:01 UTC
FreeBSD 7.2 correctly finds da0: 

da0 at twa0 bus 0 target 0 lun 0
da0: <AMCC 9550SX-4LP DISK 3.04> Fixed Direct Access SCSI-3 device 
da0: 100.000MB/s transfers
da0: 610308MB (1249910784 512 byte sectors: 255H 63S/T 77803C)

FreeBSD 8.0-BETA3 doesn't see da0 unless I enable 

hw.pci.mcfg=0

in /boot/loader.conf.  When I boot using hw.pci.mcfg=0 I see:

da0 at twa0 bus 0 target 0 lun 0
da0: <AMCC 9550SX-4LP DISK 3.04> Fixed Direct Access SCSI-3 device 
da0: 100.000MB/s transfers
da0: 610308MB (1249910784 512 byte sectors: 255H 63S/T 77803C)

as expected.

dmesg output from FreeBSD 7.2-RELEASE-p2 #0

Copyright (c) 1992-2009 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
	The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 7.2-RELEASE-p2 #0: Wed Jun 24 00:57:44 UTC 2009
    root@i386-builder.daemonology.net:/usr/obj/usr/src/sys/GENERIC
Timecounter "i8254" frequency 1193182 Hz quality 0
CPU: Dual Core AMD Opteron(tm) Processor 275 HE (2210.20-MHz 686-class CPU)
  Origin = "AuthenticAMD"  Id = 0x20f12  Stepping = 2
  Features=0x178bfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,CLFLUSH,MMX,FXSR,SSE,SSE2,HTT>
  Features2=0x1<SSE3>
  AMD Features=0xe2500800<SYSCALL,NX,MMX+,FFXSR,LM,3DNow!+,3DNow!>
  AMD Features2=0x3<LAHF,CMP>
  Cores per package: 2
real memory  = 3489595392 (3327 MB)
avail memory = 3410239488 (3252 MB)
ACPI APIC Table: <Nvidia AWRDACPI>
FreeBSD/SMP: Multiprocessor System Detected: 2 CPUs
 cpu0 (BSP): APIC ID:  0
 cpu1 (AP): APIC ID:  1
ioapic0: Changing APIC ID to 4
ioapic0 <Version 1.1> irqs 0-23 on motherboard
ioapic1 <Version 1.1> irqs 24-30 on motherboard
ioapic2 <Version 1.1> irqs 28-34 on motherboard
kbd1 at kbdmux0
acpi0: <Nvidia AWRDACPI> on motherboard
acpi0: [ITHREAD]
acpi0: Power Button (fixed)
acpi0: reservation of 0, a0000 (3) failed
acpi0: reservation of 100000, cfef0000 (3) failed
Timecounter "ACPI-fast" frequency 3579545 Hz quality 1000
acpi_timer0: <24-bit timer at 3.579545MHz> port 0x1008-0x100b on acpi0
acpi_button0: <Power Button> on acpi0
pcib0: <ACPI Host-PCI bridge> port 0xcf8-0xcff on acpi0
pci0: <ACPI PCI bus> on pcib0
pci0: <memory> at device 0.0 (no driver attached)
isab0: <PCI-ISA bridge> at device 1.0 on pci0
isa0: <ISA bus> on isab0
pci0: <serial bus, SMBus> at device 1.1 (no driver attached)
ohci0: <OHCI (generic) USB controller> mem 0xfe02f000-0xfe02ffff irq 21 at device 2.0 on pci0
ohci0: [GIANT-LOCKED]
ohci0: [ITHREAD]
usb0: OHCI version 1.0, legacy support
usb0: SMM does not respond, resetting
usb0: <OHCI (generic) USB controller> on ohci0
usb0: USB revision 1.0
uhub0: <nVidia OHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb0
uhub0: 10 ports with 10 removable, self powered
ehci0: <NVIDIA nForce4 USB 2.0 controller> mem 0xfeb00000-0xfeb000ff irq 22 at device 2.1 on pci0
ehci0: [GIANT-LOCKED]
ehci0: [ITHREAD]
usb1: waiting for BIOS to give up control
usb1: timed out waiting for BIOS
usb1: EHCI version 1.0
usb1: companion controller, 4 ports each: usb0
usb1: <NVIDIA nForce4 USB 2.0 controller> on ehci0
usb1: USB revision 2.0
uhub1: <nVidia EHCI root hub, class 9/0, rev 2.00/1.00, addr 1> on usb1
uhub1: 10 ports with 10 removable, self powered
atapci0: <nVidia nForce CK804 UDMA133 controller> port 0x1f0-0x1f7,0x3f6,0x170-0x177,0x376,0xf000-0xf00f at device 6.0 on pci0
ata0: <ATA channel 0> on atapci0
ata0: [ITHREAD]
ata1: <ATA channel 1> on atapci0
ata1: [ITHREAD]
atapci1: <nVidia nForce CK804 SATA300 controller> port 0x9f0-0x9f7,0xbf0-0xbf3,0x970-0x977,0xb70-0xb73,0xdc00-0xdc0f mem 0xfe02d000-0xfe02dfff irq 23 at device 7.0 on pci0
atapci1: [ITHREAD]
ata2: <ATA channel 0> on atapci1
ata2: [ITHREAD]
ata3: <ATA channel 1> on atapci1
ata3: [ITHREAD]
atapci2: <nVidia nForce CK804 SATA300 controller> port 0x9e0-0x9e7,0xbe0-0xbe3,0x960-0x967,0xb60-0xb63,0xc800-0xc80f mem 0xfe02c000-0xfe02cfff irq 21 at device 8.0 on pci0
atapci2: [ITHREAD]
ata4: <ATA channel 0> on atapci2
ata4: [ITHREAD]
ata5: <ATA channel 1> on atapci2
ata5: [ITHREAD]
pcib1: <ACPI PCI-PCI bridge> at device 9.0 on pci0
pci1: <ACPI PCI bus> on pcib1
nfe0: <NVIDIA nForce4 CK804 MCP9 Networking Adapter> port 0xc400-0xc407 mem 0xfe02b000-0xfe02bfff irq 22 at device 10.0 on pci0
miibus0: <MII bus> on nfe0
e1000phy0: <Marvell 88E1111 Gigabit PHY> PHY 1 on miibus0
e1000phy0:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, 1000baseTX-FDX, auto
nfe0: Ethernet address: 00:01:4e:01:5c:36
nfe0: [FILTER]
pcib2: <ACPI PCI-PCI bridge> at device 11.0 on pci0
pci2: <ACPI PCI bus> on pcib2
mskc0: <Marvell Yukon 88E8052 Gigabit Ethernet> port 0xac00-0xacff mem 0xfddfc000-0xfddfffff irq 17 at device 0.0 on pci2
msk0: <Marvell Technology Group Ltd. Yukon EC Id 0xb6 Rev 0x02> on mskc0
msk0: Ethernet address: 00:01:4e:01:5c:34
miibus1: <MII bus> on msk0
e1000phy1: <Marvell 88E1111 Gigabit PHY> PHY 0 on miibus1
e1000phy1:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, 1000baseTX-FDX, auto
mskc0: [FILTER]
pcib3: <ACPI PCI-PCI bridge> at device 12.0 on pci0
pci3: <ACPI PCI bus> on pcib3
pcib4: <ACPI PCI-PCI bridge> at device 13.0 on pci0
pci4: <ACPI PCI bus> on pcib4
mskc1: <Marvell Yukon 88E8052 Gigabit Ethernet> port 0x8c00-0x8cff mem 0xfd9fc000-0xfd9fffff irq 19 at device 0.0 on pci4
msk1: <Marvell Technology Group Ltd. Yukon EC Id 0xb6 Rev 0x02> on mskc1
msk1: Ethernet address: 00:01:4e:01:5c:35
miibus2: <MII bus> on msk1
e1000phy2: <Marvell 88E1111 Gigabit PHY> PHY 0 on miibus2
e1000phy2:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, 1000baseTX-FDX, auto
mskc1: [FILTER]
pcib5: <ACPI PCI-PCI bridge> at device 14.0 on pci0
pci5: <ACPI PCI bus> on pcib5
pcib6: <ACPI Host-PCI bridge> port 0xcf8-0xcff on acpi0
pci8: <ACPI PCI bus> on pcib6
pcib7: <ACPI PCI-PCI bridge> at device 10.0 on pci8
pci9: <ACPI PCI bus> on pcib7
3ware device driver for 9000 series storage controllers, version: 3.70.05.001
twa0: <3ware 9000 series Storage Controller> port 0x6c00-0x6c3f mem 0xdc000000-0xddffffff,0xdfdff000-0xdfdfffff irq 24 at device 12.0 on pci9
twa0: [ITHREAD]
twa0: INFO: (0x15: 0x1300): Controller details:: Model 9550SX-4LP, 4 ports, Firmware FE9X 3.04.00.005, BIOS BE9X 3.04.00.002
pcib8: <ACPI PCI-PCI bridge> at device 11.0 on pci8
pci10: <ACPI PCI bus> on pcib8
vgapci0: <VGA-compatible display> port 0x5c00-0x5cff mem 0xd0000000-0xd7ffffff,0xdfef0000-0xdfefffff irq 28 at device 1.0 on pci10
acpi_tz0: <Thermal Zone> on acpi0
sio0: <16550A-compatible COM port> port 0x3f8-0x3ff irq 4 flags 0x10 on acpi0
sio0: type 16550A
sio0: [FILTER]
sio1: <16550A-compatible COM port> port 0x2f8-0x2ff irq 3 on acpi0
sio1: type 16550A
sio1: [FILTER]
cpu0: <ACPI CPU> on acpi0
powernow0: <Cool`n'Quiet K8> on cpu0
device_attach: powernow0 attach returned 6
cpu1: <ACPI CPU> on acpi0
powernow1: <Cool`n'Quiet K8> on cpu1
device_attach: powernow1 attach returned 6
pmtimer0 on isa0
orm0: <ISA Option ROMs> at iomem 0xc0000-0xcffff,0xd0000-0xd3fff,0xd4000-0xd57ff,0xd6000-0xd77ff pnpid ORM0000 on isa0
atkbdc0: <Keyboard controller (i8042)> at port 0x60,0x64 on isa0
atkbd0: <AT Keyboard> irq 1 on atkbdc0
kbd0 at atkbd0
atkbd0: [GIANT-LOCKED]
atkbd0: [ITHREAD]
ppc0: parallel port not found.
sc0: <System console> at flags 0x100 on isa0
sc0: VGA <16 virtual consoles, flags=0x300>
vga0: <Generic ISA VGA> at port 0x3c0-0x3df iomem 0xa0000-0xbffff on isa0
uhub2: <Dell Dell USB Keyboard Hub, class 9/0, rev 1.10/2.00, addr 2> on uhub0
uhub2: 3 ports with 2 removable, bus powered
ukbd0: <Dell Dell USB Keyboard, class 0/0, rev 1.10/2.00, addr 3> on uhub2
kbd2 at ukbd0
uhid0: <Dell Dell USB Keyboard, class 0/0, rev 1.10/2.00, addr 3> on uhub2
Timecounters tick every 1.000 msec
acd0: DVDR <Optiarc DVD RW AD-5540A/2.01> at ata0-master UDMA33
ad4: 152627MB <Seagate ST9160823AS 3.AAB> at ata2-master SATA150
ad6: 152627MB <Seagate ST9160823AS 3.AAB> at ata3-master SATA150
GEOM_LABEL: Label for provider ad4s1d is ufsid/4ab3a2c8f59eb7b3.
GEOM_LABEL: Label for provider ad4s1e is ufsid/4ab3a2b1c5fa76c5.
GEOM_LABEL: Label for provider ad6s1a is ufsid/4ab3a2ac3ec1c709.
GEOM_LABEL: Label for provider ad6s1d is ufsid/4ab3a2c806d3ab75.
GEOM_LABEL: Label for provider ad6s1e is ufsid/4ab3a2c9ad664670.
GEOM_LABEL: Label for provider ad6s1f is ufsid/4ab3a2ace3787274.
GEOM_LABEL: Label for provider ad6s1g is ufsid/4ab3a2c727a68a50.
GEOM_LABEL: Label for provider ad6s1h is ufsid/4ab3a2ac09735bd8.
da0 at twa0 bus 0 target 0 lun 0
da0: <AMCC 9550SX-4LP DISK 3.04> Fixed Direct Access SCSI-3 device 
da0: 100.000MB/s transfers
da0: 610308MB (1249910784 512 byte sectors: 255H 63S/T 77803C)
SMP: AP CPU #1 Launched!
GEOM_LABEL: Label for provider da0s1d is ufsid/4ab3a2c80b867633.
GEOM_LABEL: Label for provider da0s1e is ufsid/4ab3a2b9b3b0bd13.
Trying to mount root from ufs:/dev/ad6s1a
GEOM_LABEL: Label ufsid/4ab3a2ac3ec1c709 removed.
GEOM_LABEL: Label for provider ad6s1a is ufsid/4ab3a2ac3ec1c709.
GEOM_LABEL: Label ufsid/4ab3a2ace3787274 removed.
GEOM_LABEL: Label for provider ad6s1f is ufsid/4ab3a2ace3787274.
GEOM_LABEL: Label ufsid/4ab3a2b9b3b0bd13 removed.
GEOM_LABEL: Label for provider da0s1e is ufsid/4ab3a2b9b3b0bd13.
GEOM_LABEL: Label ufsid/4ab3a2b1c5fa76c5 removed.
GEOM_LABEL: Label ufsid/4ab3a2ac09735bd8 removed.
GEOM_LABEL: Label for provider ad6s1h is ufsid/4ab3a2ac09735bd8.
GEOM_LABEL: Label for provider ad4s1e is ufsid/4ab3a2b1c5fa76c5.
GEOM_LABEL: Label ufsid/4ab3a2c80b867633 removed.
GEOM_LABEL: Label ufsid/4ab3a2c8f59eb7b3 removed.
GEOM_LABEL: Label for provider ad4s1d is ufsid/4ab3a2c8f59eb7b3.
GEOM_LABEL: Label ufsid/4ab3a2c727a68a50 removed.
GEOM_LABEL: Label for provider ad6s1g is ufsid/4ab3a2c727a68a50.
GEOM_LABEL: Label for provider da0s1d is ufsid/4ab3a2c80b867633.
GEOM_LABEL: Label ufsid/4ab3a2c806d3ab75 removed.
GEOM_LABEL: Label for provider ad6s1d is ufsid/4ab3a2c806d3ab75.
GEOM_LABEL: Label ufsid/4ab3a2c9ad664670 removed.
GEOM_LABEL: Label for provider ad6s1e is ufsid/4ab3a2c9ad664670.
GEOM_LABEL: Label ufsid/4ab3a2ac3ec1c709 removed.
GEOM_LABEL: Label ufsid/4ab3a2ace3787274 removed.
GEOM_LABEL: Label ufsid/4ab3a2ac09735bd8 removed.
GEOM_LABEL: Label ufsid/4ab3a2b1c5fa76c5 removed.
GEOM_LABEL: Label ufsid/4ab3a2b9b3b0bd13 removed.
GEOM_LABEL: Label ufsid/4ab3a2c727a68a50 removed.
GEOM_LABEL: Label ufsid/4ab3a2c8f59eb7b3 removed.
GEOM_LABEL: Label ufsid/4ab3a2c80b867633 removed.
GEOM_LABEL: Label ufsid/4ab3a2c806d3ab75 removed.
GEOM_LABEL: Label ufsid/4ab3a2c9ad664670 removed.
nfe0: link state changed to UP

dmesg output from FreeBSD 8.0-BETA4 #0

Copyright (c) 1992-2009 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
        The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 8.0-BETA4 #0: Sun Sep  6 05:51:03 UTC 2009
    root@almeida.cse.buffalo.edu:/usr/obj/usr/src/sys/GENERIC
WARNING: WITNESS option enabled, expect reduced performance.
Timecounter "i8254" frequency 1193182 Hz quality 0
CPU: Dual Core AMD Opteron(tm) Processor 275 HE (2210.19-MHz 686-class CPU)
  Origin = "AuthenticAMD"  Id = 0x20f12  Stepping = 2
  Features=0x178bfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,CLFLUSH,MMX,FXSR,SSE,SSE2,HTT>
  Features2=0x1<SSE3>
  AMD Features=0xe2500800<SYSCALL,NX,MMX+,FFXSR,LM,3DNow!+,3DNow!>
  AMD Features2=0x3<LAHF,CMP>
real memory  = 4294967296 (4096 MB)
avail memory = 3405258752 (3247 MB)
ACPI APIC Table: <Nvidia AWRDACPI>
FreeBSD/SMP: Multiprocessor System Detected: 2 CPUs
FreeBSD/SMP: 1 package(s) x 2 core(s)
 cpu0 (BSP): APIC ID:  0
 cpu1 (AP): APIC ID:  1
ioapic0: Changing APIC ID to 4
ioapic0 <Version 1.1> irqs 0-23 on motherboard
ioapic1 <Version 1.1> irqs 24-30 on motherboard
ioapic2 <Version 1.1> irqs 28-34 on motherboard
kbd1 at kbdmux0
acpi0: <Nvidia AWRDACPI> on motherboard
acpi0: [ITHREAD]
acpi0: Power Button (fixed)
acpi0: reservation of 0, a0000 (3) failed
acpi0: reservation of 100000, cfef0000 (3) failed
Timecounter "ACPI-fast" frequency 3579545 Hz quality 1000
acpi_timer0: <24-bit timer at 3.579545MHz> port 0x1008-0x100b on acpi0
acpi_button0: <Power Button> on acpi0
pcib0: <ACPI Host-PCI bridge> port 0xcf8-0xcff on acpi0
pci0: <ACPI PCI bus> on pcib0
pci0: <memory> at device 0.0 (no driver attached)
isab0: <PCI-ISA bridge> at device 1.0 on pci0
isa0: <ISA bus> on isab0
pci0: <serial bus, SMBus> at device 1.1 (no driver attached)
ohci0: <OHCI (generic) USB controller> mem 0xfe02f000-0xfe02ffff irq 21 at device 2.0 on pci0
ohci0: [ITHREAD]
usbus0: <OHCI (generic) USB controller> on ohci0
ehci0: <NVIDIA nForce4 USB 2.0 controller> mem 0xfeb00000-0xfeb000ff irq 22 at device 2.1 on pci0
ehci0: [ITHREAD]
usbus1: waiting for BIOS to give up control
usbus1: timed out waiting for BIOS
usbus1: EHCI version 1.0
usbus1: <NVIDIA nForce4 USB 2.0 controller> on ehci0
atapci0: <nVidia nForce CK804 UDMA133 controller> port 0x1f0-0x1f7,0x3f6,0x170-0x177,0x376,0xf000-0xf00f at device 6.0 on pci0
ata0: <ATA channel 0> on atapci0
ata0: [ITHREAD]
ata1: <ATA channel 1> on atapci0
ata1: [ITHREAD]
atapci1: <nVidia nForce CK804 SATA300 controller> port 0x9f0-0x9f7,0xbf0-0xbf3,0x970-0x977,0xb70-0xb73,0xdc00-0xdc0f mem 0xfe02d000-0xfe02dfff irq 23 at device 7.0 on pci0
atapci1: [ITHREAD]
ata2: <ATA channel 0> on atapci1
ata2: [ITHREAD]
ata3: <ATA channel 1> on atapci1
ata3: [ITHREAD]
atapci2: <nVidia nForce CK804 SATA300 controller> port 0x9e0-0x9e7,0xbe0-0xbe3,0x960-0x967,0xb60-0xb63,0xc800-0xc80f mem 0xfe02c000-0xfe02cfff irq 21 at device 8.0 on pci0
atapci2: [ITHREAD]
ata4: <ATA channel 0> on atapci2
ata4: [ITHREAD]
ata5: <ATA channel 1> on atapci2
ata5: [ITHREAD]
pcib1: <ACPI PCI-PCI bridge> at device 9.0 on pci0
pci1: <ACPI PCI bus> on pcib1
nfe0: <NVIDIA nForce4 CK804 MCP9 Networking Adapter> port 0xc400-0xc407 mem 0xfe02b000-0xfe02bfff irq 22 at device 10.0 on pci0
miibus0: <MII bus> on nfe0
e1000phy0: <Marvell 88E1111 Gigabit PHY> PHY 1 on miibus0
e1000phy0:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, 1000baseT, 1000baseT-FDX, auto
nfe0: Ethernet address: 00:01:4e:01:5c:36
nfe0: [FILTER]
pcib2: <ACPI PCI-PCI bridge> at device 11.0 on pci0
pci2: <ACPI PCI bus> on pcib2
mskc0: <Marvell Yukon 88E8052 Gigabit Ethernet> port 0xac00-0xacff mem 0xfddfc000-0xfddfffff irq 17 at device 0.0 on pci2
msk0: <Marvell Technology Group Ltd. Yukon EC Id 0xb6 Rev 0x02> on mskc0
msk0: Ethernet address: 00:01:4e:01:5c:34
miibus1: <MII bus> on msk0
e1000phy1: <Marvell 88E1111 Gigabit PHY> PHY 0 on miibus1
e1000phy1:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, 1000baseT, 1000baseT-FDX, auto
mskc0: [FILTER]
pcib3: <ACPI PCI-PCI bridge> at device 12.0 on pci0
pci3: <ACPI PCI bus> on pcib3
pcib4: <ACPI PCI-PCI bridge> at device 13.0 on pci0
pci4: <ACPI PCI bus> on pcib4
mskc1: <Marvell Yukon 88E8052 Gigabit Ethernet> port 0x8c00-0x8cff mem 0xfd9fc000-0xfd9fffff irq 19 at device 0.0 on pci4
msk1: <Marvell Technology Group Ltd. Yukon EC Id 0xb6 Rev 0x02> on mskc1
msk1: Ethernet address: 00:01:4e:01:5c:35
miibus2: <MII bus> on msk1
e1000phy2: <Marvell 88E1111 Gigabit PHY> PHY 0 on miibus2
e1000phy2:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, 1000baseT, 1000baseT-FDX, auto
mskc1: [FILTER]
pcib5: <ACPI PCI-PCI bridge> at device 14.0 on pci0
pci5: <ACPI PCI bus> on pcib5
pcib6: <ACPI Host-PCI bridge> port 0xcf8-0xcff on acpi0
pci8: <ACPI PCI bus> on pcib6
pcib7: <ACPI PCI-PCI bridge> at device 10.0 on pci8
pci9: <ACPI PCI bus> on pcib7
3ware device driver for 9000 series storage controllers, version: 3.70.05.001
twa0: <3ware 9000 series Storage Controller> port 0x6c00-0x6c3f mem 0xdc000000-0xddffffff,0xdfdff000-0xdfdfffff irq 24 at device 12.0 on pci9
twa0: [ITHREAD]
twa0: INFO: (0x15: 0x1300): Controller details:: Model 9550SX-4LP, 4 ports, Firmware FE9X 3.04.00.005, BIOS BE9X 3.04.00.002
pcib8: <ACPI PCI-PCI bridge> at device 11.0 on pci8
pci10: <ACPI PCI bus> on pcib8
vgapci0: <VGA-compatible display> port 0x5c00-0x5cff mem 0xd0000000-0xd7ffffff,0xdfef0000-0xdfefffff irq 28 at device 1.0 on pci10
acpi_tz0: <Thermal Zone> on acpi0
atrtc0: <AT realtime clock> port 0x70-0x73 irq 8 on acpi0
uart0: <16550 or compatible> port 0x3f8-0x3ff irq 4 flags 0x10 on acpi0
uart0: [FILTER]
uart1: <16550 or compatible> port 0x2f8-0x2ff irq 3 on acpi0
uart1: [FILTER]
cpu0: <ACPI CPU> on acpi0
powernow0: <Cool`n'Quiet K8> on cpu0
device_attach: powernow0 attach returned 6
cpu1: <ACPI CPU> on acpi0
powernow1: <Cool`n'Quiet K8> on cpu1
device_attach: powernow1 attach returned 6
pmtimer0 on isa0
orm0: <ISA Option ROMs> at iomem 0xc0000-0xcffff,0xd0000-0xd3fff,0xd4000-0xd57ff,0xd6000-0xd77ff pnpid ORM0000 on isa0
sc0: <System console> at flags 0x100 on isa0
sc0: VGA <16 virtual consoles, flags=0x300>
vga0: <Generic ISA VGA> at port 0x3c0-0x3df iomem 0xa0000-0xbffff on isa0
atkbdc0: <Keyboard controller (i8042)> at port 0x60,0x64 on isa0
atkbd0: <AT Keyboard> irq 1 on atkbdc0
kbd0 at atkbd0
atkbd0: [GIANT-LOCKED]
atkbd0: [ITHREAD]
ppc0: parallel port not found.
Timecounters tick every 1.000 msec
usbus0: 12Mbps Full Speed USB v1.0
usbus1: 480Mbps High Speed USB v2.0
ugen0.1: <nVidia> at usbus0
uhub0: <nVidia OHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus0
ugen1.1: <nVidia> at usbus1
uhub1: <nVidia EHCI root HUB, class 9/0, rev 2.00/1.00, addr 1> on usbus1
acd0: DVDR <Optiarc DVD RW AD-5540A/2.01> at ata0-master UDMA33
ad4: 152627MB <Seagate ST9160823AS 3.AAB> at ata2-master SATA150
ad6: 152627MB <Seagate ST9160823AS 3.AAB> at ata3-master SATA150
GEOM: ad4s1: geometry does not match label (255h,63s != 16h,63s).
GEOM: ad6s1: geometry does not match label (255h,63s != 16h,63s).
uhub0: 10 ports with 10 removable, self powered
da0 at twa0 bus 0 target 0 lun 0
da0: <AMCC 9550SX-4LP DISK 3.04> Fixed Direct Access SCSI-3 device 
da0: 100.000MB/s transfers
da0: 610308MB (1249910784 512 byte sectors: 255H 63S/T 77803C)
SMP: AP CPU #1 Launched!
WARNING: WITNESS option enabled, expect reduced performance.
uhub1: 10 ports with 10 removable, self powered
Root mount waiting for: usbus1
Trying to mount root from ufs:/dev/ad6s1a
ugen0.2: <Dell> at usbus0
uhub2: <Dell USB Keyboard Hub> on usbus0
uhub2: 3 ports with 2 removable, bus powered
ugen0.3: <Dell> at usbus0
ukbd0: <Dell USB Keyboard> on usbus0
kbd2 at ukbd0
uhid0: <Dell USB Keyboard> on usbus0
nfe0: link state changed to UP
pid 777 (sshd) is using legacy pty devices - not logging anymore

Fix: 

Enable 

hw.pci.mcfg=0

in /boot/loader.conf on 8.0-BETA4.

This appears related to PRs 128686, 132372, and 137942.  

I will test amd64 next to see if I can reproduce the problem and solution.  

Thank you!
Comment 1 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 08:01:07 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped